Bug 804360 - kdepimlibs pulling in kdepimlibs-akonadi [f16]
kdepimlibs pulling in kdepimlibs-akonadi [f16]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdepimlibs (Show other bugs)
16
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-18 04:45 EDT by Tomas Hoger
Modified: 2012-03-31 20:25 EDT (History)
7 users (show)

See Also:
Fixed In Version: kdepimlibs-4.8.1-3.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-31 20:25:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2012-03-18 04:45:32 EDT
kdepimlibs update to 4.8 has hard dep on kdepimlibs-akonadi again:

$ rpm -q --requires kdepimlibs | grep akonadi
libakonadi-kde.so.4()(64bit) 

$ rpm -q kdepimlibs
kdepimlibs-4.8.1-1.fc16.x86_64


+++ This bug was initially created as a clone of Bug #608863 +++

The point of our having a kdepimlibs-akonadi subpkg was so that kdepimlibs (and by extension kdebase-runtime) didn't have a hard dep on akonadi, but:

libakonadi-kde.so.4()(64bit) is needed by (installed) kdepimlibs-4.4.4-1.fc13.x86_64

libakonadi-kmime.so.4()(64bit) is needed by (installed) kdepimlibs-4.4.4-1.fc13.x86_64

Seems this broke somewhere recently.
Comment 1 Kevin Kofler 2012-03-18 14:44:51 EDT
Looks like upstream added dependencies on Akonadi to more libs in 4.8.
Comment 2 Rex Dieter 2012-03-18 16:37:22 EDT
culprit on my box appears to be:

/usr/lib64/libkalarmcal.so.2:
        linux-vdso.so.1 =>  (0x00007fff92d0f000)
        libakonadi-kde.so.4 => /lib64/libakonadi-kde.so.4 (0x00007fe07694f000)
        libkcalcore.so.4 => /lib64/libkcalcore.so.4 (0x00007fe076691000)
        libkholidays.so.4 => /lib64/libkholidays.so.4 (0x00007fe07645f000)
        libkpimidentities.so.4 => /lib64/libkpimidentities.so.4 (0x00007fe076236000)
        libkdecore.so.5 => /lib64/libkdecore.so.5 (0x00007fe075d6c000)
        libQtCore.so.4 => /lib64/libQtCore.so.4 (0x00007fe0758a0000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007fe075684000)
        libkdeui.so.5 => /lib64/libkdeui.so.5 (0x00007fe07501b000)
        libQtGui.so.4 => /lib64/libQtGui.so.4 (0x00007fe074376000)
        libQtSvg.so.4 => /lib64/libQtSvg.so.4 (0x00007fe074120000)
        libQtDBus.so.4 => /lib64/libQtDBus.so.4 (0x00007fe073ea6000)
        libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00007fe073ba2000)
        libm.so.6 => /lib64/libm.so.6 (0x00007fe0738a7000)
        libc.so.6 => /lib64/libc.so.6 (0x00007fe0734f0000)
        libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007fe0732da000)
        libQtNetwork.so.4 => /lib64/libQtNetwork.so.4 (0x00007fe072fa5000)
        libQtSql.so.4 => /lib64/libQtSql.so.4 (0x00007fe072d67000)
        libkio.so.5 => /lib64/libkio.so.5 (0x00007fe0728bd000)
        libsolid.so.4 => /lib64/libsolid.so.4 (0x00007fe0725f5000)
        libakonadiprotocolinternals.so.1 => /lib64/libakonadiprotocolinternals.so.1 (0x00007fe0723dd000)
Comment 3 Fedora Update System 2012-03-18 20:04:53 EDT
kdepimlibs-4.8.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kdepimlibs-4.8.1-2.fc16
Comment 4 Fedora Update System 2012-03-18 20:05:32 EDT
kdepimlibs-4.8.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kdepimlibs-4.8.1-2.fc17
Comment 5 Fedora Update System 2012-03-20 02:00:58 EDT
Package kdepimlibs-4.8.1-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kdepimlibs-4.8.1-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4156/kdepimlibs-4.8.1-2.fc17
then log in and leave karma (feedback).
Comment 6 Tomas Hoger 2012-03-21 10:18:50 EDT
(In reply to comment #3)
> kdepimlibs-4.8.1-2.fc16 has been submitted as an update for Fedora 16.
> https://admin.fedoraproject.org/updates/kdepimlibs-4.8.1-2.fc16

# rpm -e kdepimlibs-akonadi
error: Failed dependencies:
	libakonadi-kde.so.4()(64bit) is needed by (installed) kdepimlibs-4.8.1-2.fc16.x86_64

# rpm -qa kdepimlibs\*
kdepimlibs-4.8.1-2.fc16.x86_64
kdepimlibs-akonadi-4.8.1-2.fc16.x86_64

# ldd /usr/lib64/libkalarmcal.so.2 | grep akonadi
	libakonadi-kde.so.4 => /usr/lib64/libakonadi-kde.so.4 (0x00007f0fc0b10000)
	libakonadiprotocolinternals.so.1 => /usr/lib64/libakonadiprotocolinternals.so.1 (0x00007f0fbc582000)
Comment 7 Rex Dieter 2012-03-21 13:28:43 EDT
Arg, added libkalarmcal.so.2 to -akonadi subpkg, and failed to remove from base package.

$ rpm -q -f /usr/lib64/libkalarmcal.so.2
kdepimlibs-akonadi-4.8.1-2.fc16.x86_64
kdepimlibs-4.8.1-2.fc16.x86_64

Let's try again.
Comment 8 Fedora Update System 2012-03-22 20:38:38 EDT
Package kdepimlibs-4.8.1-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kdepimlibs-4.8.1-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4156/kdepimlibs-4.8.1-3.fc17
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-03-31 20:25:28 EDT
kdepimlibs-4.8.1-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.